import { AxiosInstance } from 'axios';
import { PlaylistPage } from '../models/PlaylistPage';
import { PlaylistSearchResponse } from '../models/PlaylistSearchResponse';
export declare function getPlaylistByID(axiosInstance: AxiosInstance, id: number, page?: number): Promise<PlaylistPage>;
export declare function getLatestPlaylists(axiosInstance: AxiosInstance, after: string, before: string, sort: 'UPDATED' | 'SONGS_UPDATED' | 'CREATED'): Promise<PlaylistSearchResponse>;
export declare function getPlaylistsByUser(axiosInstance: AxiosInstance, userId: number, page?: number): Promise<PlaylistSearchResponse>;
