import { AxiosInstance } from 'axios';
import { MapDetail } from '../models/MapDetail';
import { SearchResponse } from '../models/SearchResponse';
export declare function getMapByID(axiosInstance: AxiosInstance, id: string): Promise<MapDetail>;
export declare function getMapByHash(axiosInstance: AxiosInstance, hash: string): Promise<MapDetail>;
export declare function getMapsByUploader(axiosInstance: AxiosInstance, id: number, page?: number): Promise<SearchResponse>;
export declare function getLatestMaps(axiosInstance: AxiosInstance, automapper: boolean, before?: string): Promise<SearchResponse>;
